Enroll an employee in a 401k plan
Enroll an employee in a 401k plan
Token scopes: benefits:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
legal_entity_id
Legal entity id which employee/contract belongs
contract_id
Contract id from the employee
plan_id
Plan id to enroll the employee into
Request
This endpoint expects an object.
type
Type of the contribution for 401k.
Allowed values:
contribution_limit
Maximum limit of contribution.
details
Object containing additional information about the enrollment.
contribution_type
Type of contribution.
Allowed values:
contribution_value
Value of the contribution.
Response
Successful operation.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error